package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("热点话题对象")
public class TopicHotQo {

    @ApiModelProperty(value = "话题ID")
    private String topicId;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "类型 1：热 2：新")
    private Integer type;

    @ApiModelProperty(value = "阅读量")
    private String formatViewCount;

    @ApiModelProperty(value = "讨论量")
    private String formatDisscussCount;

    @ApiModelProperty(value = "是否置顶")
    private Integer isTop;

    @ApiModelProperty(value = "浏览量调整基数")
    private Integer viewCntAdjust;

    @ApiModelProperty(value = "话题下的帖子权重")
    private Double themeWeight;

    @ApiModelProperty(value = "话题介绍")
    private String topicDesc;

    @ApiModelProperty(value = "封面")
    private String coverImg;

    @ApiModelProperty(value = "是否专属 0否，1是")
    private Integer specialPermission;

    @ApiModelProperty(value = "是否有权限")
    private boolean hasPermission;
}
